/*
 * App 组件的组件路由
 */
import 'package:app/router/page/app_page_router.dart';
import 'package:auto_route/src/router/controller/routing_controller.dart';
import 'package:plugin_basic/provider/app_config/app_config_service.dart';
import 'package:router/componentRouter/app_service.dart';

class AppComponentServiceImpl extends AppService {
  @override
  RootStackRouter getAppRouter() {
    return appRouter;
  }

  @override
  bool isDeviceFullScreen() {
    return AppConfigService.getState().isFullScreenDevice;
  }
}
